#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2.0.1
visibility:           public
id:                   semialign-1.2.0.1-KtfFHegvLiRF8MXy0bKxNC
key:                  semialign-1.2.0.1-KtfFHegvLiRF8MXy0bKxNC
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  34385a79fe40c1ffb04a48b410114064
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/semialign-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/semialign-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-semialign
hs-libraries:         HSsemialign-1.2.0.1-KtfFHegvLiRF8MXy0bKxNC
depends:
    base-4.15.1.0 containers-0.6.4.1
    hashable-1.4.1.0-B3coM33nqiq7Dz3CmsPxZc
    indexed-traversable-0.1.2-55rCITp0bj2K4TSTU28RrG
    indexed-traversable-instances-0.1.1.1-Cld9azLi45SGuBEuSCCkDL
    semigroupoids-5.3.7-FaF7zY2woySEM1k3KXJt8v
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR
    these-1.1.1.1-1SDonxFDH7c13R2ekP7t3c transformers-0.5.6.2
    unordered-containers-0.2.19.1-GEqdXmavtjSKvBsD2IAhQ5
    vector-0.13.0.0-mTZdes5nnb4cI8ExlDSWE

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

